import request from '@/utils/request'

// 查询居民信息列表
export function listJminfo(query) {
  return request({
    url: '/szxc/jminfo/list',
    method: 'get',
    params: query
  })
}

// 查询居民信息详细
export function getJminfo(id) {
  return request({
    url: '/szxc/jminfo/' + id,
    method: 'get'
  })
}

// 新增居民信息
export function addJminfo(data) {
  return request({
    url: '/szxc/jminfo',
    method: 'post',
    data: data
  })
}

// 修改居民信息
export function updateJminfo(data) {
  return request({
    url: '/szxc/jminfo',
    method: 'put',
    data: data
  })
}

// 删除居民信息
export function delJminfo(id) {
  return request({
    url: '/szxc/jminfo/' + id,
    method: 'delete'
  })
}
